iOS Question Attribute not supported: entitlement (IOS Push Notification)

Mahesh Ramnathan

Member
Licensed User
Hi,
We are facing following error while compiling the IOS Firebase Push Notification.
Is there any library or jar file to be copied in Additional Libraries folder ?
upload_2017-5-13_19-40-44.png
 

Mahesh Ramnathan

Member
Licensed User
We could go smoothly till we upload the file : firebase_push.p12
We have used development certificates not distribution.
Also we have used the same code which you have upload on the forum.
 

tufanv

Expert
Licensed User
I think you have added a sevice module as you did for b4a , you shouldnt use a module in b4i.

Enabling the firebase notifications at libraries section is enough.
 

Mahesh Ramnathan

Member
Licensed User
When I add he #Entitlement attribute in the main module I am getting following error....

ld: framework not found FirebaseMessaging
clang: error: linker command failed with exit code 1 (use -v to see invocation)


Error: ** BUILD FAILED **


The following build commands failed:
Ld Payload/Time\ Sheet.app/Time\ Sheet normal armv7
(1 failure)
 

tufanv

Expert
Licensed User
your error says :
framework not found FirebaseMessaging

Did you copy the framework as Erel suggested ?
 

Mahesh Ramnathan

Member
Licensed User
so I started again.
1. deleted everything in my "uploadedprojects" on the Mac
2. on the windows B4i setup, I added firebaseAnalytics & firebaseNotifications from the libraries
3. attempted a build from my windows Laptop after ensuring that BUILDSEVER was running
I get build errors, one which has something to do with GoogleIPhoneUtilities.
Please see the attached compilation log file.
 

Attachments

Mahesh Ramnathan

Member
Licensed User
Copied firebase.h to the BuildServer/Libs folder, is there anything else. Should I copy the entire firebase SDK ?

Getting following error now...

ld: framework not found GoogleIPhoneUtilities
clang: error: linker command failed with exit code 1 (use -v to see invocation)
 

moster67

Expert
Licensed User
Can't help you with your issue.
However, what regards the latest version and if your B4i license is still valid, you should have received an e-mail from Anywhere Software with a download-link for the latest version. If not, maybe your license has expired and you need to upgrade. In any case, check with Erel at support@basic4ppc.com
 
Top